Package com.creditcall.chipdnamobile

# Class ConfigurationErrorCode

java.lang.Object
com.creditcall.chipdnamobile.ConfigurationErrorCode

All Implemented Interfaces:
  `Serializable`

public class ConfigurationErrorCode extends Object
The error codes for ConfigurationErrorCode

Author:
  Creditcall Ltd
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static ConfigurationErrorCode`
  `AccountVerificationAmountFormatError`
  There is a format error with AccountVerificationAmount
  `static final ConfigurationErrorCode`
  `AccountVerificationCvmRequiredFormatError`
  There is a format error with AccountVerificationCvmRequired.
  `static final ConfigurationErrorCode`
  `AccountVerificationSignatureCheckRequiredFormatError`
  There is a format error with AccountVerificationSignatureCheckRequired.
  `static final ConfigurationErrorCode`
  `AccountVerificationSupportedFormatError`
  There is a format error with AccountVerificationSupported
  `static final ConfigurationErrorCode`
  `AlreadyInitialized`
  ChipDNA Mobile has already been initialized.
  `static final ConfigurationErrorCode`
  `AnotherOperationBeingProcessed`
  Another operation is being processed.
  `static final ConfigurationErrorCode`
  `ApplicationIdNotConfigured`
  Application Identifier has not been configured.
  `static final ConfigurationErrorCode`
  `ApplicationSelectionListenerRequired`
  Method requires at least one listener for application selection events.
  `static final ConfigurationErrorCode`
  `ApplicationStateFormatError`
  There is a format error with the Application State.
  `static final ConfigurationErrorCode`
  `ApplicationUpdateRequired`
  The current version of the ChipDnaMobile software is invalid and an update is required.
  `static ConfigurationErrorCode`
  `AttestationFailed`
  The attestation process for Tap To Mobile has failed
  `static final ConfigurationErrorCode`
  `AutoConfirmSupportedFormatError`
  There is a format error with AutoConfirmSupported.
  `static final ConfigurationErrorCode`
  `BacklightEnabledFormatError`
  There is a format error with Backlight Enabled
  `static final ConfigurationErrorCode`
  `BbposTmsConfigurationFormatError`
  There is a format error with BbposTmsConfiguration
  `static final ConfigurationErrorCode`
  `BinRangeWhitelistSupportedFormatError`
  `static ConfigurationErrorCode`
  `CameraUsed`
  Operation cannot be performed when the camera is being used by other application.
  `static final ConfigurationErrorCode`
  `CAPublicKeysFormatError`
  There is a format error with the Terminal Configuration
  `static final ConfigurationErrorCode`
  `CardDataInputCapabilityFormatError`
  There is a format error with the Card Data Input Capability.
  `static final ConfigurationErrorCode`
  `CardRemovalNotificationFormatError`
  There is a format error with CardRemovalNotification
  `static final ConfigurationErrorCode`
  `CashSupportedFormatError`
  There is a format error with the CashSupported.
  `static final ConfigurationErrorCode`
  `CashTransactionsNotSupported`
  Cash transactions are not supported by this terminal.
  `static ConfigurationErrorCode`
  `CertificateFingerprintFormatError`
  There is a format error with the CertificateFingerprint
  `static final ConfigurationErrorCode`
  `CertificationIdentifierFormatError`
  There is a format error with CertificationIdentifier
  `static final ConfigurationErrorCode`
  `CheckNotComplete`
  The PIN pad configuration check was not completed successfully.
  `static final ConfigurationErrorCode`
  `ChequeSupportedFormatError`
  There is a format error with the ChequeSupported.
  `static final ConfigurationErrorCode`
  `ChequeTransactionsNotSupported`
  Cheque transactions are not supported by this terminal.
  `static ConfigurationErrorCode`
  `CollisionDetectionRateFormatError`
  There is a format error with CollisionDetectionRate
  `static final ConfigurationErrorCode`
  `CommunicationsFailed`
  The failure in communications has occurred.
  `static final ConfigurationErrorCode`
  `ConfigFileGenerationFailed`
  The attempt to generate the required configuration has failed.
  `static final ConfigurationErrorCode`
  `ConnectAndConfigureRequired`
  A call to connect and configure is required.
  `static final ConfigurationErrorCode`
  `ConnectionClosed`
  The Bluetooth connection to the PIN pad was closed when files where transfered to it.
  `static final ConfigurationErrorCode`
  `CountryCodeFormatError`
  There is a format error with the Country Code.
  `static final ConfigurationErrorCode`
  `CurrencyFormatError`
  There is a format error with the Currency.
  `static final ConfigurationErrorCode`
  `CurrencyNotFound`
  Currency not found in configuration data.
  `static final ConfigurationErrorCode`
  `CurrencyNotSet`
  Currency is not set.
  `static final ConfigurationErrorCode`
  `CurrencyNotSupportedForPaymentMethod`
  Currency is not supported for payment method.
  `static ConfigurationErrorCode`
  `CustomROMDetected`
  Operation cannot be performed on a detected custom ROM.
  `static final ConfigurationErrorCode`
  `DefaultAmountsFormatError`
  There is a format error with DefaultAmounts
  `static final ConfigurationErrorCode`
  `DeferredAuthDeclineRetryPeriodFormatError`
  There is a format error with DeferredAuthDeclineRetryPeriod
  `static final ConfigurationErrorCode`
  `DeferredAuthorizationListenerRequired`
  Method requires at least one listener for deferred authorization events.
  `static final ConfigurationErrorCode`
  `DeferredAuthRequestPeriodFormatError`
  There is a format error with DeferredAuthRequestPeriod
  `static final ConfigurationErrorCode`
  `DeferredAuthsSupportedFormatError`
  There is a format error with DeferredAuthsSupported
  `static final ConfigurationErrorCode`
  `DelayOnlineProcessingSupportedFormatError`
  There is a format error with DelayOnlineProcessingSupported
  `static ConfigurationErrorCode`
  `DeveloperModeOrUSBDebuggingEnabled`
  Operation cannot be performed when developer mode or USB debugging is enabled.
  `static ConfigurationErrorCode`
  `DeveloperOptionsEnabled`
  Operation cannot be performed when Developer options are enabled.
  `static ConfigurationErrorCode`
  `DeviceAttestationFailed`
  The device attestation process for Tap To Mobile has failed
  `static final ConfigurationErrorCode`
  `DeviceBusy`
  Device is busy.
  `static final ConfigurationErrorCode`
  `DeviceNotPresentOnWhitelist`
  The device is not present on the whitelist
  `static final ConfigurationErrorCode`
  `DeviceRebooting`
  The device is rebooting and connection must be made again
  `static final ConfigurationErrorCode`
  `DeviceRegistrationFailed`
  The attempt to register the device has failed.
  `static final ConfigurationErrorCode`
  `DeviceRooted`
  Device is rooted.
  `static final ConfigurationErrorCode`
  `DeviceTippingAmountConfirmationEnabledFormatError`
  There is a format error with OnDeviceTippingAmountConfirmationEnabled
  `static ConfigurationErrorCode`
  `EmulatorDetected`
  Operation cannot be performed on a detected emulator.
  `static final ConfigurationErrorCode`
  `EndOfDayTippingNotSupported`
  End of Day Tipping is not supported.
  `static final ConfigurationErrorCode`
  `FailedLoadingIncompatiblePinPadSoftware`
  The software to be loaded onto the PIN pad was not compatible with the PIN pad.
  `static final ConfigurationErrorCode`
  `FailedToChangePassword`
  Failed to change the password.
  `static final ConfigurationErrorCode`
  `FailedToRetrieveFirmwareUpdateSessionKeys`
  The session keys for the firmware update could not be retrieved.
  `static final ConfigurationErrorCode`
  `FileDataNotFound`
  The file data is missing.
  `static final ConfigurationErrorCode`
  `FileDecodeError`
  The file could not be decoded.
  `static final ConfigurationErrorCode`
  `FileSizeTooLarge`
  The file size is too large.
  `static final ConfigurationErrorCode`
  `FirmwareFileDataMissing`
  The firmware file is missing data required for the firmware update.
  `static final ConfigurationErrorCode`
  `FirmwareFileIncompatible`
  Firmware file version on TMS is incompatible with the device.
  `static final ConfigurationErrorCode`
  `FirmwareFileParsingFailed`
  Failed to parse firmware file.
  `static final ConfigurationErrorCode`
  `FirmwareUpdateConfigurationFormatError`
  There is a format error with FirmwareUpdateConfiguration
  `static final ConfigurationErrorCode`
  `FirmwareUpdateRequired`
  A firmware update has breached its expiration and must be applied before transaction processing can continue.
  `static final ConfigurationErrorCode`
  `FirmwareUpdateSessionKeyInvalid`
  The session key for the firmware update is invalid.
  `static final ConfigurationErrorCode`
  `FloorLimitsFormatError`
  There is a format error with the Floor Limits.
  `static final ConfigurationErrorCode`
  `ForcedAcceptanceListenerRequired`
  Method requires at least one listener for forced acceptance events.
  `static final ConfigurationErrorCode`
  `ForcedAcceptanceSupportedFormatError`
  There is a format error with the Forced Acceptance Supported.
  `static final ConfigurationErrorCode`
  `GratuityNotSupported`
  Gratuity is not supported.
  `static final ConfigurationErrorCode`
  `IncompatibleDeviceConfiguration`
  The device configuration is invalid
  `static final ConfigurationErrorCode`
  `IncompatibleOSWithAppMode`
  The PIN pad OS is not compatible with the application mode.
  `static final ConfigurationErrorCode`
  `IncorrectPassword`
  The password provided was incorrect.
  `static final ConfigurationErrorCode`
  `InitializationRequired`
  ChipDNA Mobile has not been initialized.
  `static final ConfigurationErrorCode`
  `InternationalDiallingCodeFormatError`
  There is a format error with the International Dialling Code.
  `static ConfigurationErrorCode`
  `InvalidActivity`
  The activity is either null, finishing or destroyed
  `static ConfigurationErrorCode`
  `JwtAuthenticationUrlFormatError`
  There is a format error with JwtAuthenticationUrl
  `static ConfigurationErrorCode`
  `JwtExpiryPaddingFormatError`
  There is a format error with JwtExpiryPadding
  `static ConfigurationErrorCode`
  `JwtExpiryTimeFormatError`
  There is a format error with JwtExpiryTime
  `static final ConfigurationErrorCode`
  `KeysNotLoaded`
  The PIN pad encryption keys are not loaded (when the remote key injection is not supported).
  `static final ConfigurationErrorCode`
  `LinkedRefundNotSupported`
  Linked refunds are not supported by this terminal.
  `static final ConfigurationErrorCode`
  `LinkedRefundsSupportedFormatError`
  There is a format error with the Linked Refunds Supported.
  `static final ConfigurationErrorCode`
  `LogFileStoreCountLimitFormatError`
  There is a format error with MaximumLogFilesStorageLimit
  `static final ConfigurationErrorCode`
  `LowPowerModeEnabledFormatError`
  There is a format error with LowPowerModeEnabled
  `static final ConfigurationErrorCode`
  `MagstripeAccountTypesSupportedFormatError`
  There is a format error with the Magstripe Account Types Supported.
  `static final ConfigurationErrorCode`
  `ManualCardDataInputCapabilityFormatError`
  There is a format error with ManualCardDataInputCapability
  `static final ConfigurationErrorCode`
  `MaximumAmountFormatError`
  There is a format error with the MaximumAmount
  `static final ConfigurationErrorCode`
  `MaximumDaysBetweenConfigurationUpdatesFormatError`
  There is a format error with the Maximum Number of Days between Configuration Updates.
  `static final ConfigurationErrorCode`
  `MerchantAccountsFormatError`
  There is a format error with Merchant Accounts.
  `static final ConfigurationErrorCode`
  `MerchantNameAddressFormatError`
  There is a format error with the Merchant Name and Address.
  `static final ConfigurationErrorCode`
  `MerchantTippingNotSupported`
  Merchant Tipping is not supported.
  `static ConfigurationErrorCode`
  `MicrophoneUsed`
  Operation cannot be performed when the microphone is being used by other application.
  `static final ConfigurationErrorCode`
  `MinimumAmountFormatError`
  There is a format error with the MinimumAmount
  `static final ConfigurationErrorCode`
  `MinimumMinutesBetweenStatusUpdatesFormatError`
  There is a format error with the Minimum Minutes between Status Updates.
  `static final ConfigurationErrorCode`
  `MobilePosFormatError`
  There is a format error with MobilePOS.
  `static ConfigurationErrorCode`
  `NfcDisabled`
  Operation cannot be performed when NFC is disabled.
  `static final ConfigurationErrorCode`
  `NoCvmRefundsSupportedFormatError`
  There is a format error with the No CVM Refunds Supported.
  `static ConfigurationErrorCode`
  `NoPatternOrPinSet`
  Operation cannot be performed when the device doesn't have a pattern or a pin set.
  `static ConfigurationErrorCode`
  `NotCurrentDate`
  Operation cannot be performed when the current date is incorrect.
  `static final ConfigurationErrorCode`
  `OfflineAuthsSupportedFormatError`
  There is a format error with the Offline Auths Supported.
  `static final ConfigurationErrorCode`
  `OfflineRequestRetryMaximumTimeIntervalFormatError`
  There is a format error with the Offline Request Retry Maximum Time Interval.
  `static final ConfigurationErrorCode`
  `OfflineRequestRetryMinimumTimeIntervalFormatError`
  There is a format error with the Offline Request Retry Minimum Time Interval.
  `static final ConfigurationErrorCode`
  `OfflineSupportFormatError`
  There is a format error with the Offline Support.
  `static final ConfigurationErrorCode`
  `OfflineTransactionVolumeLimitsFormatError`
  There is a format error with the Offline Transaction Volume Limits.
  `static final ConfigurationErrorCode`
  `OnDeviceTippingNotSupported`
  On Device Tipping is not supported.
  `static final ConfigurationErrorCode`
  `operationHeadTimeoutFormatError`
  There is a format error with OperationHeadTimeout.
  `static final ConfigurationErrorCode`
  `operationPollTimeoutFormatError`
  There is a format error with OperationPollTimeout.
  `static final ConfigurationErrorCode`
  `operationPostTimeoutFormatError`
  There is a format error with OperationPostTimeout.
  `static final ConfigurationErrorCode`
  `OperatorPinFormatError`
  There is a format error with the Operator Pin.
  `static final ConfigurationErrorCode`
  `OperatorPinRequiredForRefundsFormatError`
  There is a format error with the OperatorPinRequiredForRefunds.
  `static final ConfigurationErrorCode`
  `OperatorPinRequiredForVerificationFormatError`
  There is a format error with the OperatorPinRequiredForVerification.
  `static final ConfigurationErrorCode`
  `P2PEFailedToGetHSMFiles`
  The P2PE key injection process failed to get HSM files.
  `static final ConfigurationErrorCode`
  `P2PEFailedToReadRKIFiles`
  The P2PE key injection process failed to read RKI files.
  `static final ConfigurationErrorCode`
  `P2PEImport`
  The P2PE key injection process failed to import.
  `static final ConfigurationErrorCode`
  `P2PEImportFailedToInstallDUKPTInitialKSN`
  The P2PE key injection process failed to import because of failed DUKPT initial KSN installation.
  `static final ConfigurationErrorCode`
  `P2PEImportFailedToInstallDUKPTKey`
  The P2PE key injection process failed to import because of failed DUKPT key installation.
  `static final ConfigurationErrorCode`
  `P2PEImportFailedToLoadRSAKey`
  The P2PE key injection process failed to import because of failed RSA key loading.
  `static final ConfigurationErrorCode`
  `P2PEImportFailedToValidateHSMcrt`
  The P2PE key injection process failed to import because of failed HSM certificate validation.
  `static final ConfigurationErrorCode`
  `P2PEImportFailedToValidateTransportKey`
  The P2PE key injection process failed to import because of failed transport key validation.
  `static final ConfigurationErrorCode`
  `P2PEImportHSMFileMissing`
  The P2PE key injection process failed to import because of missing HSM file.
  `static final ConfigurationErrorCode`
  `P2PEImportInternalError`
  The P2PE key injection process failed to import with internal error.
  `static final ConfigurationErrorCode`
  `P2PEInitialise`
  The P2PE key injection process failed to initialise.
  `static final ConfigurationErrorCode`
  `P2PEInitialiseFailedToCreateRSACertificate`
  The P2PE key injection process failed to initialise with creating RSA certificate.
  `static final ConfigurationErrorCode`
  `P2PEInitialiseFailedToGenerateRSAKey`
  The P2PE key injection process failed to initialise with failing to generate RSA key.
  `static final ConfigurationErrorCode`
  `P2PEInitialiseFailedToLoadRSAKey`
  The P2PE key injection process failed to initialise with loading RSA key.
  `static final ConfigurationErrorCode`
  `P2PEInitialiseFailedToPrepareOutputFiles`
  The P2PE key injection process failed to initialise with preparing output files.
  `static final ConfigurationErrorCode`
  `P2PEInitialiseInternalError`
  The P2PE key injection process failed to initialise with internal error.
  `static final ConfigurationErrorCode`
  `P2PEInitialiseSystemFileOrCertificateMissing`
  The P2PE key injection process failed to initialise with system file or certificate missing.
  `static final ConfigurationErrorCode`
  `P2PEStatus`
  The P2PE key injection process failed to process status response.
  `static final ConfigurationErrorCode`
  `P2PEStatusInternalError`
  The P2PE key injection process failed to process status with internal error.
  `static final ConfigurationErrorCode`
  `P2PEStatusKeySigningKey`
  The P2PE key injection process failed to process key signing key.
  `static final ConfigurationErrorCode`
  `P2PEStatusProductCertificate`
  The P2PE key injection process failed to process product certificate.
  `static final ConfigurationErrorCode`
  `P2PEStatusRootCertificate`
  The P2PE key injection process failed to process root certificate.
  `static final ConfigurationErrorCode`
  `P2PEStatusTerminalCertificate`
  The P2PE key injection process failed to process terminal certificate.
  `static final ConfigurationErrorCode`
  `PanKeyEntrySupportedFormatError`
  There is a format error with PanKeyEntrySupported
  `static final ConfigurationErrorCode`
  `PANKeyEntryTippingNotAllowed`
  PAN key entry with tipping is not allowed.
  `static final ConfigurationErrorCode`
  `PANKeyEntryTransactionsNotSupported`
  PAN key entry has not been enabled.
  `static final ConfigurationErrorCode`
  `PANKeyEntryWithoutCardNotAllowed`
  PAN key entry without payment type card is not allowed.
  `static final ConfigurationErrorCode`
  `ParameterMissing`
  Required parameter is missing.
  `static final ConfigurationErrorCode`
  `PartialApprovalListenerRequired`
  Method requires at least one listener for partial approval events.
  `static final ConfigurationErrorCode`
  `PartialApprovalsCompletionSupportFormatError`
  There is a format error with the Partial Approvals Completion Support.
  `static final ConfigurationErrorCode`
  `PartialApprovalsSupportedFormatError`
  There is a format error with the Partial Approvals Supported.
  `static final ConfigurationErrorCode`
  `PaymentPlatformStatusIntervalFormatError`
  There is a format error with PaymentPlatformStatusInterval
  `static final ConfigurationErrorCode`
  `pciP2PEConfigFormatError`
  There is a format error with PciP2PEConfig
  `static final ConfigurationErrorCode`
  `pciP2PESupportedFormatError`
  There is a format error with PciP2PEConfig
  `static final ConfigurationErrorCode`
  `PinPadConnectionTimeoutFormatError`
  There is a format error with the PinPadConnectionTimeout
  `static final ConfigurationErrorCode`
  `PinPadIdleMessageTimeoutFormatError`
  There is a format error with the Pin Pad Idle Message
  `static final ConfigurationErrorCode`
  `PinPadNotConfigured`
  The PIN pad is not configured.
  `static final ConfigurationErrorCode`
  `PinPadNotConnected`
  The PIN pad is not connected.
  `static final ConfigurationErrorCode`
  `ReceiptSourceEmailFormatError`
  There is a format error with Receipt Source Email
  `static final ConfigurationErrorCode`
  `ReceiptSourceSmsFormatError`
  There is a format error with Receipt Source SMS.
  `static final ConfigurationErrorCode`
  `RefundAmountConfirmationRequiredFormatError`
  There is a format error with RefundAmountConfirmationRequired
  `static final ConfigurationErrorCode`
  `RefundSignatureCheckRequiredFormatError`
  /** There is a format error with the RefundSignatureCheckRequired.
  `static final ConfigurationErrorCode`
  `RegisterMaintenanceSettingsFormatError`
  There is a format error with RegisterMaintenanceSettings
  `static ConfigurationErrorCode`
  `RequestActivityListenerRequired`
  There is no `IRequestActivityListener` set.
  `static final ConfigurationErrorCode`
  `RequestQueueMaximumTimeIntervalFormatError`
  There is a format error with RequestQueueMaximumTimeInterval
  `static final ConfigurationErrorCode`
  `RequestQueueMinimumTimeIntervalFormatError`
  There is a format error with RequestQueueMinimumTimeInterval
  `static final ConfigurationErrorCode`
  `RequestQueueRandomTimeIntervalFormatError`
  There is a format error with RequestQueueRandomTimeInterval
  `static final ConfigurationErrorCode`
  `RkiKeyAvailableFormatError`
  There is a format error with RkiKeyAvailable
  `static final ConfigurationErrorCode`
  `SaleAmountConfirmationRequiredFormatError`
  There is a format error with SaleAmountConfirmationRequired
  `static final ConfigurationErrorCode`
  `ServerTimeoutFormatError`
  There is a format error with the Server Timeout.
  `static ConfigurationErrorCode`
  `ShowTouchesEnabled`
  Operation cannot be performed when Show touches is enabled in Developer options.
  `static final ConfigurationErrorCode`
  `SignatureCaptureListenerRequired`
  Method requires at least one listener for signature capture events.
  `static final ConfigurationErrorCode`
  `SignatureCaptureSupportedFormatError`
  There is a format error with the Signature Capture Supported.
  `static final ConfigurationErrorCode`
  `SignatureCheckRequiredFormatError`
  There is a format error with the Signature Check Required.
  `static final ConfigurationErrorCode`
  `SignatureCheckRequiredNoCvmFormatError`
  There is a format error with the Signature Check Required when no CVM.
  `static final ConfigurationErrorCode`
  `SignatureVerificationListenerRequired`
  Method requires at least one listener for signature verification events.
  `static final ConfigurationErrorCode`
  `SOAPPasswordFormatError`
  There is a format error with the SOAP password.
  `static final ConfigurationErrorCode`
  `SOAPUsernameFormatError`
  There is a format error with the SOAP username.
  `static ConfigurationErrorCode`
  `SpeedOptimisationFeaturesSupportedFormatError`
  There is a format error with SpeedOptimisationFeaturesSupported
  `static final ConfigurationErrorCode`
  `SREDKeyRequired`
  The SRED Key has failed to inject and is missing.
  `static final ConfigurationErrorCode`
  `StandaloneRefundNotSupported`
  Stand alone refunds are not supported by this terminal.
  `static final ConfigurationErrorCode`
  `StandaloneRefundsSupportedFormatError`
  There is a format error with the Standalone Refunds Supported.
  `static ConfigurationErrorCode`
  `TapToMobileServerUrlFormatError`
  There is a format error with TapToMobileServerUrl
  `static ConfigurationErrorCode`
  `TapToMobileSessionClosed`
  The Reader Session for TapToMobile is closed
  `static ConfigurationErrorCode`
  `TapToMobileSupportedFormatError`
  There is a format error with TapToMobileSupported
  `static final ConfigurationErrorCode`
  `TerminalConfigurationFormatError`
  There is a format error with the Terminal Configuration
  `static ConfigurationErrorCode`
  `TerminalCountryAlphaCodesFormatError`
  There is a format error with TerminalCountryAlphaCodes
  `static final ConfigurationErrorCode`
  `TerminalDisabled`
  The terminal is disabled.
  `static final ConfigurationErrorCode`
  `TerminalIdNotConfigured`
  Terminal Identifier has not been configured.
  `static final ConfigurationErrorCode`
  `TerminalLanguageFormatError`
  There is a format error with the Terminal Language.
  `static final ConfigurationErrorCode`
  `TerminalSerialNumberFormatError`
  There is a format error with the Terminal Serial Number.
  `static final ConfigurationErrorCode`
  `TerminalStateFormatError`
  There is a format error with the Terminal State.
  `static final ConfigurationErrorCode`
  `TestReceiptSelectorOverrideFormatError`
  There is a format error with TestReceiptSelectorOverride
  `static final ConfigurationErrorCode`
  `TippingSupportedFormatError`
  There is a format error with TippingSupported
  `static final ConfigurationErrorCode`
  `TmsUpdateFailed`
  The requested TMS update has failed.
  `static final ConfigurationErrorCode`
  `TMSUpdateRequired`
  An update from the TMS is required.
  `static final ConfigurationErrorCode`
  `TransactionFinishedListenerRequired`
  Method requires at least one listener for transaction finished events.
  `static final ConfigurationErrorCode`
  `TransactionKeyNotConfigured`
  Transaction Key has not been configured.
  `static ConfigurationErrorCode`
  `TransactionPOIInvalid`
  Invalid transaction point of interaction parameter value.
  `static ConfigurationErrorCode`
  `TransactionPOINotConnected`
  The transaction point of interaction attempting to be used is not connected
  `static ConfigurationErrorCode`
  `USBCableConnectedOrBluetoothEnabled`
  Operation cannot be performed when the USB cable is connected or bluetooth is enabled.
  `static final ConfigurationErrorCode`
  `USCommonDebitModeFormatError`
  `static final ConfigurationErrorCode`
  `UserNotificationListenerRequired`
  Method requires at least one listener for user notification events.
  `static final ConfigurationErrorCode`
  `VoiceReferralListenerRequired`
  Method requires at least one listener for voice referral events.
  `static final ConfigurationErrorCode`
  `XmlEncryptionCertificateFormatError`
  There is a format error with XmlEncryptionCertificate

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorDescription()`
  `String`
  `getErrorString()`
  `void`
  `setErrorDescription(String errorDescription)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FailedLoadingIncompatiblePinPadSoftware

    public static final ConfigurationErrorCode FailedLoadingIncompatiblePinPadSoftware
    The software to be loaded onto the PIN pad was not compatible with the PIN pad.

  - ### ConnectionClosed

    public static final ConfigurationErrorCode ConnectionClosed
    The Bluetooth connection to the PIN pad was closed when files where transfered to it.

  - ### CheckNotComplete

    public static final ConfigurationErrorCode CheckNotComplete
    The PIN pad configuration check was not completed successfully.

  - ### IncompatibleOSWithAppMode

    public static final ConfigurationErrorCode IncompatibleOSWithAppMode
    The PIN pad OS is not compatible with the application mode.

  - ### CommunicationsFailed

    public static final ConfigurationErrorCode CommunicationsFailed
    The failure in communications has occurred.

  - ### KeysNotLoaded

    public static final ConfigurationErrorCode KeysNotLoaded
    The PIN pad encryption keys are not loaded (when the remote key injection is not supported).

  - ### IncompatibleDeviceConfiguration

    public static final ConfigurationErrorCode IncompatibleDeviceConfiguration
    The device configuration is invalid

  - ### DeviceRebooting

    public static final ConfigurationErrorCode DeviceRebooting
    The device is rebooting and connection must be made again

  - ### P2PEFailedToReadRKIFiles

    public static final ConfigurationErrorCode P2PEFailedToReadRKIFiles
    The P2PE key injection process failed to read RKI files.

  - ### P2PEFailedToGetHSMFiles

    public static final ConfigurationErrorCode P2PEFailedToGetHSMFiles
    The P2PE key injection process failed to get HSM files.

  - ### P2PEStatus

    public static final ConfigurationErrorCode P2PEStatus
    The P2PE key injection process failed to process status response.

  - ### P2PEStatusRootCertificate

    public static final ConfigurationErrorCode P2PEStatusRootCertificate
    The P2PE key injection process failed to process root certificate.

  - ### P2PEStatusProductCertificate

    public static final ConfigurationErrorCode P2PEStatusProductCertificate
    The P2PE key injection process failed to process product certificate.

  - ### P2PEStatusTerminalCertificate

    public static final ConfigurationErrorCode P2PEStatusTerminalCertificate
    The P2PE key injection process failed to process terminal certificate.

  - ### P2PEStatusKeySigningKey

    public static final ConfigurationErrorCode P2PEStatusKeySigningKey
    The P2PE key injection process failed to process key signing key.

  - ### P2PEStatusInternalError

    public static final ConfigurationErrorCode P2PEStatusInternalError
    The P2PE key injection process failed to process status with internal error.

  - ### P2PEInitialise

    public static final ConfigurationErrorCode P2PEInitialise
    The P2PE key injection process failed to initialise.

  - ### P2PEInitialiseSystemFileOrCertificateMissing

    public static final ConfigurationErrorCode P2PEInitialiseSystemFileOrCertificateMissing
    The P2PE key injection process failed to initialise with system file or certificate missing.

  - ### P2PEInitialiseFailedToGenerateRSAKey

    public static final ConfigurationErrorCode P2PEInitialiseFailedToGenerateRSAKey
    The P2PE key injection process failed to initialise with failing to generate RSA key.

  - ### P2PEInitialiseFailedToLoadRSAKey

    public static final ConfigurationErrorCode P2PEInitialiseFailedToLoadRSAKey
    The P2PE key injection process failed to initialise with loading RSA key.

  - ### P2PEInitialiseFailedToCreateRSACertificate

    public static final ConfigurationErrorCode P2PEInitialiseFailedToCreateRSACertificate
    The P2PE key injection process failed to initialise with creating RSA certificate.

  - ### P2PEInitialiseFailedToPrepareOutputFiles

    public static final ConfigurationErrorCode P2PEInitialiseFailedToPrepareOutputFiles
    The P2PE key injection process failed to initialise with preparing output files.

  - ### P2PEInitialiseInternalError

    public static final ConfigurationErrorCode P2PEInitialiseInternalError
    The P2PE key injection process failed to initialise with internal error.

  - ### P2PEImport

    public static final ConfigurationErrorCode P2PEImport
    The P2PE key injection process failed to import.

  - ### P2PEImportHSMFileMissing

    public static final ConfigurationErrorCode P2PEImportHSMFileMissing
    The P2PE key injection process failed to import because of missing HSM file.

  - ### P2PEImportFailedToValidateHSMcrt

    public static final ConfigurationErrorCode P2PEImportFailedToValidateHSMcrt
    The P2PE key injection process failed to import because of failed HSM certificate validation.

  - ### P2PEImportFailedToLoadRSAKey

    public static final ConfigurationErrorCode P2PEImportFailedToLoadRSAKey
    The P2PE key injection process failed to import because of failed RSA key loading.

  - ### P2PEImportFailedToValidateTransportKey

    public static final ConfigurationErrorCode P2PEImportFailedToValidateTransportKey
    The P2PE key injection process failed to import because of failed transport key validation.

  - ### P2PEImportFailedToInstallDUKPTKey

    public static final ConfigurationErrorCode P2PEImportFailedToInstallDUKPTKey
    The P2PE key injection process failed to import because of failed DUKPT key installation.

  - ### P2PEImportFailedToInstallDUKPTInitialKSN

    public static final ConfigurationErrorCode P2PEImportFailedToInstallDUKPTInitialKSN
    The P2PE key injection process failed to import because of failed DUKPT initial KSN installation.

  - ### P2PEImportInternalError

    public static final ConfigurationErrorCode P2PEImportInternalError
    The P2PE key injection process failed to import with internal error.

  - ### CountryCodeFormatError

    public static final ConfigurationErrorCode CountryCodeFormatError
    There is a format error with the Country Code.

  - ### CurrencyFormatError

    public static final ConfigurationErrorCode CurrencyFormatError
    There is a format error with the Currency.

  - ### MerchantNameAddressFormatError

    public static final ConfigurationErrorCode MerchantNameAddressFormatError
    There is a format error with the Merchant Name and Address.

  - ### PinPadIdleMessageTimeoutFormatError

    public static final ConfigurationErrorCode PinPadIdleMessageTimeoutFormatError
    There is a format error with the Pin Pad Idle Message

  - ### ServerTimeoutFormatError

    public static final ConfigurationErrorCode ServerTimeoutFormatError
    There is a format error with the Server Timeout.

  - ### TerminalSerialNumberFormatError

    public static final ConfigurationErrorCode TerminalSerialNumberFormatError
    There is a format error with the Terminal Serial Number.

  - ### SignatureCaptureSupportedFormatError

    public static final ConfigurationErrorCode SignatureCaptureSupportedFormatError
    There is a format error with the Signature Capture Supported.

  - ### SignatureCheckRequiredFormatError

    public static final ConfigurationErrorCode SignatureCheckRequiredFormatError
    There is a format error with the Signature Check Required.

  - ### SignatureCheckRequiredNoCvmFormatError

    public static final ConfigurationErrorCode SignatureCheckRequiredNoCvmFormatError
    There is a format error with the Signature Check Required when no CVM.

  - ### OperatorPinFormatError

    public static final ConfigurationErrorCode OperatorPinFormatError
    There is a format error with the Operator Pin.

  - ### LinkedRefundsSupportedFormatError

    public static final ConfigurationErrorCode LinkedRefundsSupportedFormatError
    There is a format error with the Linked Refunds Supported.

  - ### StandaloneRefundsSupportedFormatError

    public static final ConfigurationErrorCode StandaloneRefundsSupportedFormatError
    There is a format error with the Standalone Refunds Supported.

  - ### MaximumDaysBetweenConfigurationUpdatesFormatError

    public static final ConfigurationErrorCode MaximumDaysBetweenConfigurationUpdatesFormatError
    There is a format error with the Maximum Number of Days between Configuration Updates.

  - ### ApplicationStateFormatError

    public static final ConfigurationErrorCode ApplicationStateFormatError
    There is a format error with the Application State.

  - ### MinimumMinutesBetweenStatusUpdatesFormatError

    public static final ConfigurationErrorCode MinimumMinutesBetweenStatusUpdatesFormatError
    There is a format error with the Minimum Minutes between Status Updates.

  - ### TerminalStateFormatError

    public static final ConfigurationErrorCode TerminalStateFormatError
    There is a format error with the Terminal State.

  - ### FileSizeTooLarge

    public static final ConfigurationErrorCode FileSizeTooLarge
    The file size is too large.

  - ### ReceiptSourceEmailFormatError

    public static final ConfigurationErrorCode ReceiptSourceEmailFormatError
    There is a format error with Receipt Source Email

  - ### ReceiptSourceSmsFormatError

    public static final ConfigurationErrorCode ReceiptSourceSmsFormatError
    There is a format error with Receipt Source SMS.

  - ### FileDecodeError

    public static final ConfigurationErrorCode FileDecodeError
    The file could not be decoded.

  - ### TerminalLanguageFormatError

    public static final ConfigurationErrorCode TerminalLanguageFormatError
    There is a format error with the Terminal Language.

  - ### InternationalDiallingCodeFormatError

    public static final ConfigurationErrorCode InternationalDiallingCodeFormatError
    There is a format error with the International Dialling Code.

  - ### NoCvmRefundsSupportedFormatError

    public static final ConfigurationErrorCode NoCvmRefundsSupportedFormatError
    There is a format error with the No CVM Refunds Supported.

  - ### RefundSignatureCheckRequiredFormatError

    public static final ConfigurationErrorCode RefundSignatureCheckRequiredFormatError
    /** There is a format error with the RefundSignatureCheckRequired.

  - ### OperatorPinRequiredForVerificationFormatError

    public static final ConfigurationErrorCode OperatorPinRequiredForVerificationFormatError
    There is a format error with the OperatorPinRequiredForVerification.

  - ### OperatorPinRequiredForRefundsFormatError

    public static final ConfigurationErrorCode OperatorPinRequiredForRefundsFormatError
    There is a format error with the OperatorPinRequiredForRefunds.

  - ### CashSupportedFormatError

    public static final ConfigurationErrorCode CashSupportedFormatError
    There is a format error with the CashSupported.

  - ### ChequeSupportedFormatError

    public static final ConfigurationErrorCode ChequeSupportedFormatError
    There is a format error with the ChequeSupported.

  - ### SOAPUsernameFormatError

    public static final ConfigurationErrorCode SOAPUsernameFormatError
    There is a format error with the SOAP username.

  - ### SOAPPasswordFormatError

    public static final ConfigurationErrorCode SOAPPasswordFormatError
    There is a format error with the SOAP password.

  - ### OfflineSupportFormatError

    public static final ConfigurationErrorCode OfflineSupportFormatError
    There is a format error with the Offline Support.

  - ### FloorLimitsFormatError

    public static final ConfigurationErrorCode FloorLimitsFormatError
    There is a format error with the Floor Limits.

  - ### OfflineTransactionVolumeLimitsFormatError

    public static final ConfigurationErrorCode OfflineTransactionVolumeLimitsFormatError
    There is a format error with the Offline Transaction Volume Limits.

  - ### OfflineRequestRetryMaximumTimeIntervalFormatError

    public static final ConfigurationErrorCode OfflineRequestRetryMaximumTimeIntervalFormatError
    There is a format error with the Offline Request Retry Maximum Time Interval.

  - ### OfflineRequestRetryMinimumTimeIntervalFormatError

    public static final ConfigurationErrorCode OfflineRequestRetryMinimumTimeIntervalFormatError
    There is a format error with the Offline Request Retry Minimum Time Interval.

  - ### OfflineAuthsSupportedFormatError

    public static final ConfigurationErrorCode OfflineAuthsSupportedFormatError
    There is a format error with the Offline Auths Supported.

  - ### ForcedAcceptanceSupportedFormatError

    public static final ConfigurationErrorCode ForcedAcceptanceSupportedFormatError
    There is a format error with the Forced Acceptance Supported.

  - ### MaximumAmountFormatError

    public static final ConfigurationErrorCode MaximumAmountFormatError
    There is a format error with the MaximumAmount

  - ### MinimumAmountFormatError

    public static final ConfigurationErrorCode MinimumAmountFormatError
    There is a format error with the MinimumAmount

  - ### CardDataInputCapabilityFormatError

    public static final ConfigurationErrorCode CardDataInputCapabilityFormatError
    There is a format error with the Card Data Input Capability.

  - ### MagstripeAccountTypesSupportedFormatError

    public static final ConfigurationErrorCode MagstripeAccountTypesSupportedFormatError
    There is a format error with the Magstripe Account Types Supported.

  - ### PartialApprovalsSupportedFormatError

    public static final ConfigurationErrorCode PartialApprovalsSupportedFormatError
    There is a format error with the Partial Approvals Supported.

  - ### PartialApprovalsCompletionSupportFormatError

    public static final ConfigurationErrorCode PartialApprovalsCompletionSupportFormatError
    There is a format error with the Partial Approvals Completion Support.

  - ### BinRangeWhitelistSupportedFormatError

    public static final ConfigurationErrorCode BinRangeWhitelistSupportedFormatError

  - ### MerchantAccountsFormatError

    public static final ConfigurationErrorCode MerchantAccountsFormatError
    There is a format error with Merchant Accounts.

  - ### TestReceiptSelectorOverrideFormatError

    public static final ConfigurationErrorCode TestReceiptSelectorOverrideFormatError
    There is a format error with TestReceiptSelectorOverride

  - ### TippingSupportedFormatError

    public static final ConfigurationErrorCode TippingSupportedFormatError
    There is a format error with TippingSupported

  - ### BacklightEnabledFormatError

    public static final ConfigurationErrorCode BacklightEnabledFormatError
    There is a format error with Backlight Enabled

  - ### TerminalConfigurationFormatError

    public static final ConfigurationErrorCode TerminalConfigurationFormatError
    There is a format error with the Terminal Configuration

  - ### CAPublicKeysFormatError

    public static final ConfigurationErrorCode CAPublicKeysFormatError
    There is a format error with the Terminal Configuration

  - ### PinPadConnectionTimeoutFormatError

    public static final ConfigurationErrorCode PinPadConnectionTimeoutFormatError
    There is a format error with the PinPadConnectionTimeout

  - ### USCommonDebitModeFormatError

    public static final ConfigurationErrorCode USCommonDebitModeFormatError

  - ### RefundAmountConfirmationRequiredFormatError

    public static final ConfigurationErrorCode RefundAmountConfirmationRequiredFormatError
    There is a format error with RefundAmountConfirmationRequired

  - ### SaleAmountConfirmationRequiredFormatError

    public static final ConfigurationErrorCode SaleAmountConfirmationRequiredFormatError
    There is a format error with SaleAmountConfirmationRequired

  - ### RkiKeyAvailableFormatError

    public static final ConfigurationErrorCode RkiKeyAvailableFormatError
    There is a format error with RkiKeyAvailable

  - ### DeferredAuthsSupportedFormatError

    public static final ConfigurationErrorCode DeferredAuthsSupportedFormatError
    There is a format error with DeferredAuthsSupported

  - ### DeferredAuthRequestPeriodFormatError

    public static final ConfigurationErrorCode DeferredAuthRequestPeriodFormatError
    There is a format error with DeferredAuthRequestPeriod

  - ### DeferredAuthDeclineRetryPeriodFormatError

    public static final ConfigurationErrorCode DeferredAuthDeclineRetryPeriodFormatError
    There is a format error with DeferredAuthDeclineRetryPeriod

  - ### FileDataNotFound

    public static final ConfigurationErrorCode FileDataNotFound
    The file data is missing.

  - ### MobilePosFormatError

    public static final ConfigurationErrorCode MobilePosFormatError
    There is a format error with MobilePOS.

  - ### RequestQueueMaximumTimeIntervalFormatError

    public static final ConfigurationErrorCode RequestQueueMaximumTimeIntervalFormatError
    There is a format error with RequestQueueMaximumTimeInterval

  - ### RequestQueueMinimumTimeIntervalFormatError

    public static final ConfigurationErrorCode RequestQueueMinimumTimeIntervalFormatError
    There is a format error with RequestQueueMinimumTimeInterval

  - ### RequestQueueRandomTimeIntervalFormatError

    public static final ConfigurationErrorCode RequestQueueRandomTimeIntervalFormatError
    There is a format error with RequestQueueRandomTimeInterval

  - ### operationHeadTimeoutFormatError

    public static final ConfigurationErrorCode operationHeadTimeoutFormatError
    There is a format error with OperationHeadTimeout.

  - ### operationPostTimeoutFormatError

    public static final ConfigurationErrorCode operationPostTimeoutFormatError
    There is a format error with OperationPostTimeout.

  - ### operationPollTimeoutFormatError

    public static final ConfigurationErrorCode operationPollTimeoutFormatError
    There is a format error with OperationPollTimeout.

  - ### pciP2PEConfigFormatError

    public static final ConfigurationErrorCode pciP2PEConfigFormatError
    There is a format error with PciP2PEConfig

  - ### pciP2PESupportedFormatError

    public static final ConfigurationErrorCode pciP2PESupportedFormatError
    There is a format error with PciP2PEConfig

  - ### PaymentPlatformStatusIntervalFormatError

    public static final ConfigurationErrorCode PaymentPlatformStatusIntervalFormatError
    There is a format error with PaymentPlatformStatusInterval

  - ### RegisterMaintenanceSettingsFormatError

    public static final ConfigurationErrorCode RegisterMaintenanceSettingsFormatError
    There is a format error with RegisterMaintenanceSettings

  - ### ManualCardDataInputCapabilityFormatError

    public static final ConfigurationErrorCode ManualCardDataInputCapabilityFormatError
    There is a format error with ManualCardDataInputCapability

  - ### PanKeyEntrySupportedFormatError

    public static final ConfigurationErrorCode PanKeyEntrySupportedFormatError
    There is a format error with PanKeyEntrySupported

  - ### AutoConfirmSupportedFormatError

    public static final ConfigurationErrorCode AutoConfirmSupportedFormatError
    There is a format error with AutoConfirmSupported.

  - ### AccountVerificationCvmRequiredFormatError

    public static final ConfigurationErrorCode AccountVerificationCvmRequiredFormatError
    There is a format error with AccountVerificationCvmRequired.

  - ### AccountVerificationSignatureCheckRequiredFormatError

    public static final ConfigurationErrorCode AccountVerificationSignatureCheckRequiredFormatError
    There is a format error with AccountVerificationSignatureCheckRequired.

  - ### AccountVerificationSupportedFormatError

    public static final ConfigurationErrorCode AccountVerificationSupportedFormatError
    There is a format error with AccountVerificationSupported

  - ### LogFileStoreCountLimitFormatError

    public static final ConfigurationErrorCode LogFileStoreCountLimitFormatError
    There is a format error with MaximumLogFilesStorageLimit

  - ### XmlEncryptionCertificateFormatError

    public static final ConfigurationErrorCode XmlEncryptionCertificateFormatError
    There is a format error with XmlEncryptionCertificate

  - ### DelayOnlineProcessingSupportedFormatError

    public static final ConfigurationErrorCode DelayOnlineProcessingSupportedFormatError
    There is a format error with DelayOnlineProcessingSupported

  - ### ApplicationUpdateRequired

    public static final ConfigurationErrorCode ApplicationUpdateRequired
    The current version of the ChipDnaMobile software is invalid and an update is required.

  - ### TerminalDisabled

    public static final ConfigurationErrorCode TerminalDisabled
    The terminal is disabled.

  - ### AnotherOperationBeingProcessed

    public static final ConfigurationErrorCode AnotherOperationBeingProcessed
    Another operation is being processed.

  - ### PinPadNotConnected

    public static final ConfigurationErrorCode PinPadNotConnected
    The PIN pad is not connected.

  - ### PinPadNotConfigured

    public static final ConfigurationErrorCode PinPadNotConfigured
    The PIN pad is not configured.

  - ### TMSUpdateRequired

    public static final ConfigurationErrorCode TMSUpdateRequired
    An update from the TMS is required.

  - ### StandaloneRefundNotSupported

    public static final ConfigurationErrorCode StandaloneRefundNotSupported
    Stand alone refunds are not supported by this terminal.

  - ### LinkedRefundNotSupported

    public static final ConfigurationErrorCode LinkedRefundNotSupported
    Linked refunds are not supported by this terminal.

  - ### CashTransactionsNotSupported

    public static final ConfigurationErrorCode CashTransactionsNotSupported
    Cash transactions are not supported by this terminal.

  - ### ChequeTransactionsNotSupported

    public static final ConfigurationErrorCode ChequeTransactionsNotSupported
    Cheque transactions are not supported by this terminal.

  - ### PANKeyEntryTransactionsNotSupported

    public static final ConfigurationErrorCode PANKeyEntryTransactionsNotSupported
    PAN key entry has not been enabled.

  - ### PANKeyEntryTippingNotAllowed

    public static final ConfigurationErrorCode PANKeyEntryTippingNotAllowed
    PAN key entry with tipping is not allowed.

  - ### PANKeyEntryWithoutCardNotAllowed

    public static final ConfigurationErrorCode PANKeyEntryWithoutCardNotAllowed
    PAN key entry without payment type card is not allowed.

  - ### GratuityNotSupported

    public static final ConfigurationErrorCode GratuityNotSupported
    Gratuity is not supported.

  - ### CurrencyNotFound

    public static final ConfigurationErrorCode CurrencyNotFound
    Currency not found in configuration data.

  - ### CurrencyNotSet

    public static final ConfigurationErrorCode CurrencyNotSet
    Currency is not set.

  - ### CurrencyNotSupportedForPaymentMethod

    public static final ConfigurationErrorCode CurrencyNotSupportedForPaymentMethod
    Currency is not supported for payment method.

  - ### EndOfDayTippingNotSupported

    public static final ConfigurationErrorCode EndOfDayTippingNotSupported
    End of Day Tipping is not supported.

  - ### OnDeviceTippingNotSupported

    public static final ConfigurationErrorCode OnDeviceTippingNotSupported
    On Device Tipping is not supported.

  - ### MerchantTippingNotSupported

    public static final ConfigurationErrorCode MerchantTippingNotSupported
    Merchant Tipping is not supported.

  - ### ConnectAndConfigureRequired

    public static final ConfigurationErrorCode ConnectAndConfigureRequired
    A call to connect and configure is required.

  - ### SREDKeyRequired

    public static final ConfigurationErrorCode SREDKeyRequired
    The SRED Key has failed to inject and is missing.

  - ### DeviceNotPresentOnWhitelist

    public static final ConfigurationErrorCode DeviceNotPresentOnWhitelist
    The device is not present on the whitelist

  - ### AlreadyInitialized

    public static final ConfigurationErrorCode AlreadyInitialized
    ChipDNA Mobile has already been initialized.

  - ### InitializationRequired

    public static final ConfigurationErrorCode InitializationRequired
    ChipDNA Mobile has not been initialized.

  - ### ParameterMissing

    public static final ConfigurationErrorCode ParameterMissing
    Required parameter is missing.

  - ### IncorrectPassword

    public static final ConfigurationErrorCode IncorrectPassword
    The password provided was incorrect.

  - ### FailedToChangePassword

    public static final ConfigurationErrorCode FailedToChangePassword
    Failed to change the password.

  - ### DeviceRooted

    public static final ConfigurationErrorCode DeviceRooted
    Device is rooted.

  - ### ApplicationIdNotConfigured

    public static final ConfigurationErrorCode ApplicationIdNotConfigured
    Application Identifier has not been configured.

  - ### TerminalIdNotConfigured

    public static final ConfigurationErrorCode TerminalIdNotConfigured
    Terminal Identifier has not been configured.

  - ### TransactionKeyNotConfigured

    public static final ConfigurationErrorCode TransactionKeyNotConfigured
    Transaction Key has not been configured.

  - ### DeviceBusy

    public static final ConfigurationErrorCode DeviceBusy
    Device is busy.

  - ### TmsUpdateFailed

    public static final ConfigurationErrorCode TmsUpdateFailed
    The requested TMS update has failed.

  - ### DeviceRegistrationFailed

    public static final ConfigurationErrorCode DeviceRegistrationFailed
    The attempt to register the device has failed.

  - ### ConfigFileGenerationFailed

    public static final ConfigurationErrorCode ConfigFileGenerationFailed
    The attempt to generate the required configuration has failed.

  - ### FirmwareFileIncompatible

    public static final ConfigurationErrorCode FirmwareFileIncompatible
    Firmware file version on TMS is incompatible with the device.

  - ### FirmwareFileParsingFailed

    public static final ConfigurationErrorCode FirmwareFileParsingFailed
    Failed to parse firmware file.

  - ### FirmwareFileDataMissing

    public static final ConfigurationErrorCode FirmwareFileDataMissing
    The firmware file is missing data required for the firmware update.

  - ### FailedToRetrieveFirmwareUpdateSessionKeys

    public static final ConfigurationErrorCode FailedToRetrieveFirmwareUpdateSessionKeys
    The session keys for the firmware update could not be retrieved.

  - ### FirmwareUpdateSessionKeyInvalid

    public static final ConfigurationErrorCode FirmwareUpdateSessionKeyInvalid
    The session key for the firmware update is invalid.

  - ### TransactionFinishedListenerRequired

    public static final ConfigurationErrorCode TransactionFinishedListenerRequired
    Method requires at least one listener for transaction finished events.
    See Also:
      - `ChipDnaMobile.addTransactionFinishedListener(ITransactionFinishedListener)`

  - ### SignatureVerificationListenerRequired

    public static final ConfigurationErrorCode SignatureVerificationListenerRequired
    Method requires at least one listener for signature verification events.
    See Also:
      - `ChipDnaMobile.addSignatureVerificationListener(ISignatureVerificationListener)`

  - ### VoiceReferralListenerRequired

    public static final ConfigurationErrorCode VoiceReferralListenerRequired
    Method requires at least one listener for voice referral events.
    See Also:
      - `ChipDnaMobile.addVoiceReferralListener(IVoiceReferralListener)`

  - ### UserNotificationListenerRequired

    public static final ConfigurationErrorCode UserNotificationListenerRequired
    Method requires at least one listener for user notification events.
    See Also:
      - `ChipDnaMobile.addUserNotificationListener(IUserNotificationListener)`

  - ### ApplicationSelectionListenerRequired

    public static final ConfigurationErrorCode ApplicationSelectionListenerRequired
    Method requires at least one listener for application selection events.
    See Also:
      - `ChipDnaMobile.addApplicationSelectionListener(IApplicationSelectionListener)`

  - ### DeferredAuthorizationListenerRequired

    public static final ConfigurationErrorCode DeferredAuthorizationListenerRequired
    Method requires at least one listener for deferred authorization events.
    See Also:
      - `ChipDnaMobile.addDeferredAuthorizationListener(IDeferredAuthorizationListener)`

  - ### ForcedAcceptanceListenerRequired

    public static final ConfigurationErrorCode ForcedAcceptanceListenerRequired
    Method requires at least one listener for forced acceptance events.
    See Also:
      - `ChipDnaMobile.addForceAcceptanceListener(IForceAcceptanceListener)`

  - ### SignatureCaptureListenerRequired

    public static final ConfigurationErrorCode SignatureCaptureListenerRequired
    Method requires at least one listener for signature capture events.
    See Also:
      - `ChipDnaMobile.addSignatureCaptureListener(ISignatureCaptureListener)`

  - ### PartialApprovalListenerRequired

    public static final ConfigurationErrorCode PartialApprovalListenerRequired
    Method requires at least one listener for partial approval events.
    See Also:
      - `ChipDnaMobile.addPartialApprovalListener(IPartialApprovalListener)`

  - ### DeviceTippingAmountConfirmationEnabledFormatError

    public static final ConfigurationErrorCode DeviceTippingAmountConfirmationEnabledFormatError
    There is a format error with OnDeviceTippingAmountConfirmationEnabled

  - ### CertificationIdentifierFormatError

    public static final ConfigurationErrorCode CertificationIdentifierFormatError
    There is a format error with CertificationIdentifier

  - ### BbposTmsConfigurationFormatError

    public static final ConfigurationErrorCode BbposTmsConfigurationFormatError
    There is a format error with BbposTmsConfiguration

  - ### CardRemovalNotificationFormatError

    public static final ConfigurationErrorCode CardRemovalNotificationFormatError
    There is a format error with CardRemovalNotification

  - ### DefaultAmountsFormatError

    public static final ConfigurationErrorCode DefaultAmountsFormatError
    There is a format error with DefaultAmounts

  - ### LowPowerModeEnabledFormatError

    public static final ConfigurationErrorCode LowPowerModeEnabledFormatError
    There is a format error with LowPowerModeEnabled

  - ### SpeedOptimisationFeaturesSupportedFormatError

    public static ConfigurationErrorCode SpeedOptimisationFeaturesSupportedFormatError
    There is a format error with SpeedOptimisationFeaturesSupported

  - ### CollisionDetectionRateFormatError

    public static ConfigurationErrorCode CollisionDetectionRateFormatError
    There is a format error with CollisionDetectionRate

  - ### FirmwareUpdateConfigurationFormatError

    public static final ConfigurationErrorCode FirmwareUpdateConfigurationFormatError
    There is a format error with FirmwareUpdateConfiguration

  - ### FirmwareUpdateRequired

    public static final ConfigurationErrorCode FirmwareUpdateRequired
    A firmware update has breached its expiration and must be applied before transaction processing can continue.

  - ### AccountVerificationAmountFormatError

    public static ConfigurationErrorCode AccountVerificationAmountFormatError
    There is a format error with AccountVerificationAmount

  - ### TapToMobileSupportedFormatError

    public static ConfigurationErrorCode TapToMobileSupportedFormatError
    There is a format error with TapToMobileSupported

  - ### TapToMobileServerUrlFormatError

    public static ConfigurationErrorCode TapToMobileServerUrlFormatError
    There is a format error with TapToMobileServerUrl

  - ### JwtAuthenticationUrlFormatError

    public static ConfigurationErrorCode JwtAuthenticationUrlFormatError
    There is a format error with JwtAuthenticationUrl

  - ### JwtExpiryPaddingFormatError

    public static ConfigurationErrorCode JwtExpiryPaddingFormatError
    There is a format error with JwtExpiryPadding

  - ### TerminalCountryAlphaCodesFormatError

    public static ConfigurationErrorCode TerminalCountryAlphaCodesFormatError
    There is a format error with TerminalCountryAlphaCodes

  - ### JwtExpiryTimeFormatError

    public static ConfigurationErrorCode JwtExpiryTimeFormatError
    There is a format error with JwtExpiryTime

  - ### CertificateFingerprintFormatError

    public static ConfigurationErrorCode CertificateFingerprintFormatError
    There is a format error with the CertificateFingerprint

  - ### RequestActivityListenerRequired

    public static ConfigurationErrorCode RequestActivityListenerRequired
    There is no `IRequestActivityListener` set. You need to call `ChipDnaMobile.addRequestActivityListener(IRequestActivityListener)`

  - ### InvalidActivity

    public static ConfigurationErrorCode InvalidActivity
    The activity is either null, finishing or destroyed

  - ### TransactionPOIInvalid

    public static ConfigurationErrorCode TransactionPOIInvalid
    Invalid transaction point of interaction parameter value. It should be one of `ParameterValues.PaymentDevice` or `ParameterValues.TapToMobile`

  - ### TransactionPOINotConnected

    public static ConfigurationErrorCode TransactionPOINotConnected
    The transaction point of interaction attempting to be used is not connected

  - ### TapToMobileSessionClosed

    public static ConfigurationErrorCode TapToMobileSessionClosed
    The Reader Session for TapToMobile is closed

  - ### AttestationFailed

    public static ConfigurationErrorCode AttestationFailed
    The attestation process for Tap To Mobile has failed

  - ### DeviceAttestationFailed

    public static ConfigurationErrorCode DeviceAttestationFailed
    The device attestation process for Tap To Mobile has failed

  - ### DeveloperOptionsEnabled

    public static ConfigurationErrorCode DeveloperOptionsEnabled
    Operation cannot be performed when Developer options are enabled.

  - ### DeveloperModeOrUSBDebuggingEnabled

    public static ConfigurationErrorCode DeveloperModeOrUSBDebuggingEnabled
    Operation cannot be performed when developer mode or USB debugging is enabled.

  - ### CustomROMDetected

    public static ConfigurationErrorCode CustomROMDetected
    Operation cannot be performed on a detected custom ROM.

  - ### EmulatorDetected

    public static ConfigurationErrorCode EmulatorDetected
    Operation cannot be performed on a detected emulator.

  - ### NoPatternOrPinSet

    public static ConfigurationErrorCode NoPatternOrPinSet
    Operation cannot be performed when the device doesn't have a pattern or a pin set.

  - ### USBCableConnectedOrBluetoothEnabled

    public static ConfigurationErrorCode USBCableConnectedOrBluetoothEnabled
    Operation cannot be performed when the USB cable is connected or bluetooth is enabled.

  - ### ShowTouchesEnabled

    public static ConfigurationErrorCode ShowTouchesEnabled
    Operation cannot be performed when Show touches is enabled in Developer options.

  - ### NfcDisabled

    public static ConfigurationErrorCode NfcDisabled
    Operation cannot be performed when NFC is disabled.

  - ### CameraUsed

    public static ConfigurationErrorCode CameraUsed
    Operation cannot be performed when the camera is being used by other application.

  - ### MicrophoneUsed

    public static ConfigurationErrorCode MicrophoneUsed
    Operation cannot be performed when the microphone is being used by other application.

  - ### NotCurrentDate

    public static ConfigurationErrorCode NotCurrentDate
    Operation cannot be performed when the current date is incorrect.

- ## Method Details

  - ### getErrorString

    public String getErrorString()

  - ### getErrorDescription

    public String getErrorDescription()

  - ### setErrorDescription

    public void setErrorDescription(String errorDescription)